---
# tasks file for metallb-helm
- name: Deploy metallb chart
  kubernetes.core.helm:
    kubeconfig: "{{ kubeconfig }}"
    name: "{{ release_name }}"
    chart_ref: "{{ chart }}"
    release_namespace: "{{ namespace }}"
    create_namespace: "{{ create_namespace }}"
    chart_repo_url: "{{ repo_url }}"
    chart_version: "{{ chart_version }}"
    values: "{{ lookup('file', 'values.yaml') | from_yaml }}"

- name: Create the initial Layer2 ip pool
  kubernetes.core.k8s:
    kubeconfig: "{{ kubeconfig }}"
    state: present
    definition:
      apiVersion: metallb.io/v1beta1
      kind: IPAddressPool
      metadata:
        name: layer2-pool
        namespace: "{{ namespace }}"
      spec:
        addresses:
          - "{{ item }}"
        autoAssign: true
  with_items: 
  - "{{ addresses }}"
  register: result
  until: "result is not failed"
  retries: 10
  delay: 5